Package org.apache.sling.feature.maven.mojos.apis

# Class ApisJarContext

java.lang.Object
org.apache.sling.feature.maven.mojos.apis.ApisJarContext

public class ApisJarContext extends Object
Context for creating the api jars

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ApisJarContext.ArtifactInfo`
Information about a single artifact (bundle) taking part in the api generation.

## Constructor Summary

Constructors
Constructor
Description
`ApisJarContext(File mainDir, org.apache.sling.feature.Feature feature)`

## Method Summary

Modifier and Type
Method
Description
`ApisJarContext.ArtifactInfo`
`addArtifactInfo(org.apache.sling.feature.Artifact artifact)`
`void`
`addJavadocClasspath(org.apache.sling.feature.ArtifactId artifactId, String classpath)`
`boolean`
`findDependencyArtifact(org.apache.maven.plugin.logging.Log log, ApisJarContext.ArtifactInfo info)`
Check if all dependency artifacts can be found
`ApisJarContext.ArtifactInfo`
`getArtifactInfo(org.apache.sling.feature.ArtifactId artifactId)`
`List<ApisJarContext.ArtifactInfo>`
`getArtifactInfos()`
`Collection<ApisJarContext.ArtifactInfo>`
`getArtifactInfos(String regionName, boolean omitDependencyArtifacts)`
`File`
`getCheckedOutSourcesDir()`
`ApisConfiguration`
`getConfig()`
`File`
`getDeflatedBinDir()`
`File`
`getDeflatedSourcesDir()`
`org.apache.sling.feature.Feature`
`getFeature()`
`org.apache.sling.feature.ArtifactId`
`getFeatureId()`
`Map<org.apache.sling.feature.ArtifactId,String>`
`getJavadocClasspath()`
`File`
`getJavadocDir()`
`Map<org.apache.sling.feature.ArtifactId,org.apache.maven.model.Model>`
`getModelCache()`
`Set<String>`
`getPackagesWithoutJavaClasses()`
`Set<String>`
`getPackagesWithoutSources()`
`void`
`setJavadocDir(File javadocDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApisJarContext

public ApisJarContext(File mainDir, org.apache.sling.feature.Feature feature) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

## Method Details

### getConfig

public ApisConfiguration getConfig()

### getFeatureId

public org.apache.sling.feature.ArtifactId getFeatureId()

### getFeature

public org.apache.sling.feature.Feature getFeature()

### getDeflatedBinDir

public File getDeflatedBinDir()

### getDeflatedSourcesDir

public File getDeflatedSourcesDir()

### getCheckedOutSourcesDir

public File getCheckedOutSourcesDir()

### addJavadocClasspath

public void addJavadocClasspath(org.apache.sling.feature.ArtifactId artifactId, String classpath)

### getJavadocClasspath

public Map<org.apache.sling.feature.ArtifactId,String> getJavadocClasspath()

### getJavadocDir

public File getJavadocDir()

### setJavadocDir

public void setJavadocDir(File javadocDir)

### getPackagesWithoutJavaClasses

public Set<String> getPackagesWithoutJavaClasses()

### getPackagesWithoutSources

public Set<String> getPackagesWithoutSources()

### addArtifactInfo

public ApisJarContext.ArtifactInfo addArtifactInfo(org.apache.sling.feature.Artifact artifact)

### getArtifactInfo

public ApisJarContext.ArtifactInfo getArtifactInfo(org.apache.sling.feature.ArtifactId artifactId)

### getArtifactInfos

public List<ApisJarContext.ArtifactInfo> getArtifactInfos()

### getModelCache

public Map<org.apache.sling.feature.ArtifactId,org.apache.maven.model.Model> getModelCache()

### getArtifactInfos

public Collection<ApisJarContext.ArtifactInfo> getArtifactInfos(String regionName, boolean omitDependencyArtifacts)

### findDependencyArtifact

public boolean findDependencyArtifact(org.apache.maven.plugin.logging.Log log, ApisJarContext.ArtifactInfo info) throws org.apache.maven.plugin.MojoExecutionException
Check if all dependency artifacts can be found

Parameters:
  `log` - The logger
  `info` - The artifact info
Returns:
  `true` if all artifacts are publically available
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - If an incorrect configuration is found